Bug 655450 - iwlagn spews "BA scd_flow 0 does not match txq_id 10" and WiFi connection is unstable
iwlagn spews "BA scd_flow 0 does not match txq_id 10" and WiFi connection is ...
Status: CLOSED DUPLICATE of bug 648732
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
14
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-20 19:51 EST by Vinod Kutty
Modified: 2011-02-21 02:49 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-12 07:38:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 38632 None None None Never
Intel Wireless Bugzilla 2228 None None None Never

  None (edit)
Description Vinod Kutty 2010-11-20 19:51:02 EST
Description of problem:

Instability of WiFi connection on system using Intel 5300 A/G/N chipset connected to 802.11n access point. Constant errors in /var/log/messages. Found Intel wireless bug report (#2228) against Ubuntu for what appears to be the same. I have appended to that ticket as well.

Version-Release number of selected component (if applicable):

Dell E6500 Laptop with Intel 5300 AGN chipset. Fedora 14 kernel 2.6.35.6-48.fc14.x86_64

modinfo shows:

>filename:       /lib/modules/2.6.35.6-48.fc14.x86_64/kernel/drivers/net/wireless/iwlwifi/iwlagn.ko
alias:          iwl4965
license:        GPL
author:         Copyright(c) 2003-2010 Intel Corporation <ilw@linux.intel.com>
version:        in-tree:d
description:    Intel(R) Wireless WiFi Link AGN driver for Linux
firmware:       iwlwifi-4965-2.ucode
firmware:       iwlwifi-5150-2.ucode
firmware:       iwlwifi-5000-2.ucode
firmware:       iwlwifi-6000g2a-4.ucode
firmware:       iwlwifi-6050-4.ucode
firmware:       iwlwifi-6000-4.ucode
firmware:       iwlwifi-1000-3.ucode
srcversion:     60F4E88BF44FCB9589CC3B3
alias:          pci:v00008086d00000084sv*sd00001316bc*sc*i*
 .
 .
 .



How reproducible:
Easy


Steps to Reproduce:
1. Connect system using this chipset to 802.11n access point using NetworkManager
2. Wait a few minutes
3.
  
Actual results:

Unstable connection

Expected results:

Stable Connection

Additional info:

Excerpts from /var/log/messages:

>~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>Nov 19 08:40:12 myhost kernel: [   38.509775] iwlagn: Intel(R) Wireless WiFi Link AGN driver for Linux, in-tree:d
>Nov 19 08:40:12 myhost kernel: [   38.510469] iwlagn: Copyright(c) 2003-2010 Intel Corporation
>Nov 19 08:40:12 myhost kernel: [   38.510982] iwlagn 0000:0c:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
>Nov 19 08:40:12 myhost kernel: [   38.511779] iwlagn 0000:0c:00.0: Detected Intel(R) Ultimate N WiFi Link 5300 AGN, REV=0x24
>Nov 19 08:40:12 myhost kernel: [   38.541206] iwlagn 0000:0c:00.0: Tunable channels: 13 802.11bg, 24 802.11a channels
>Nov 19 08:40:12 myhost kernel: [   38.668396] iwlagn 0000:0c:00.0: loaded firmware version 8.24.2.12
>Nov 19 08:40:13 myhost NetworkManager[1524]: <info> (wlan0): new 802.11 WiFi device (driver: 'iwlagn' ifindex: 3)
>Nov 19 08:44:02 myhost kernel: [  273.783292] iwlagn 0000:0c:00.0: iwlagn_tx_agg_start on ra = c0:c1:c0:XX:XX:XX tid = 0
>Nov 19 08:45:10 myhost kernel: [  341.444471] iwlagn 0000:0c:00.0: Fail finding valid aggregation tid: 6
>Nov 19 08:46:15 myhost kernel: [  405.944067] iwlagn 0000:0c:00.0: iwlagn_tx_agg_start on ra = c0:c1:c0:XX:XX:XX tid = 1
>Nov 19 08:47:53 myhost kernel: [  504.307122] iwlagn 0000:0c:00.0: iwlagn_tx_agg_start on ra = c0:c1:c0:XX:XX:XX tid = 1
>Nov 19 08:51:26 myhost kernel: [  717.371366] iwlagn 0000:0c:00.0: iwlagn_tx_agg_start on ra = c0:c1:c0:XX:XX:XX tid = 6
>Nov 19 09:31:16 myhost kernel: [ 3107.636122] iwlagn 0000:0c:00.0: ACTIVATE a non DRIVER active station id 0 addr c0:c1:c0:XX:XX:XX
>Nov 19 19:53:13 myhost kernel: [36341.592681] iwlagn 0000:0c:00.0: iwlagn_tx_agg_start on ra = c0:c1:c0:XX:XX:XX tid = 0
>Nov 19 20:02:05 myhost kernel: [36872.882759] iwlagn 0000:0c:00.0: Fail finding valid aggregation tid: 6
>Nov 19 20:07:12 myhost kernel: [37179.846758] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 19 20:09:37 myhost kernel: [37324.186627] iwlagn 0000:0c:00.0: Fail finding valid aggregation tid: 6
>Nov 19 20:12:41 myhost kernel: [37508.054491] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 19 20:13:36 myhost kernel: [37562.963157] iwlagn 0000:0c:00.0: iwlagn_tx_agg_start on ra = c0:c1:c0:XX:XX:XX tid = 6
>Nov 19 20:45:34 myhost kernel: [39481.422321] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 19 20:45:34 myhost kernel: [39481.429026] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 19 20:45:34 myhost kernel: [39481.438114] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 19 20:55:56 myhost kernel: [40103.264863] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 19 20:56:01 myhost kernel: [40108.266744] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 19 20:57:52 myhost kernel: [40219.715094] iwlagn 0000:0c:00.0: Fail finding valid aggregation tid: 1
>Nov 19 20:58:18 myhost kernel: [40245.003381] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
> .
> . 
> .
>Nov 20 14:38:51 myhost kernel: [71842.930112] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:39:34 myhost kernel: [71885.281443] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:41:43 myhost kernel: [72015.183845] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:43:16 myhost kernel: [72107.782836] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:44:19 myhost kernel: [72170.919026] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:44:58 myhost kernel: [72209.447532] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:45:54 myhost kernel: [72265.273553] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:47:08 myhost kernel: [72340.201916] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:47:27 myhost kernel: [72358.533771] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:47:50 myhost kernel: [72381.444672] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:48:56 myhost kernel: [72447.330244] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:49:07 myhost kernel: [72458.808885] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:52:11 myhost kernel: [72642.623320] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:53:01 myhost kernel: [72692.388195] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:53:49 myhost kernel: [72740.274714] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:54:08 myhost kernel: [72759.585631] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:56:06 myhost kernel: [72877.956569] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:56:07 myhost kernel: [72878.496258] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:56:07 myhost kernel: [72878.503494] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:56:36 myhost kernel: [72907.671827] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 14:59:30 myhost kernel: [73081.744696] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:00:43 myhost kernel: [73154.683213] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:01:34 myhost kernel: [73205.482473] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:01:48 myhost kernel: [73220.168510] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:01:52 myhost kernel: [73223.890552] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:03:57 myhost kernel: [73348.718565] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:04:20 myhost kernel: [73371.750990] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:04:30 myhost kernel: [73381.510001] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:04:44 myhost kernel: [73395.388960] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:07:26 myhost kernel: [73557.598192] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:08:07 myhost kernel: [73599.164966] iwlagn 0000:0c:00.0: Microcode SW error detected.  Restarting 0x2000000.
>Nov 20 15:08:07 myhost kernel: [73599.164978] iwlagn 0000:0c:00.0: Loaded firmware version: 8.24.2.12
>Nov 20 15:08:07 myhost kernel: [73599.164999] iwlagn 0000:0c:00.0: Start IWL Error Log Dump:
>Nov 20 15:08:07 myhost kernel: [73599.165006] iwlagn 0000:0c:00.0: Status: 0x000212E4, count: 5
>Nov 20 15:08:07 myhost kernel: [73599.165164] iwlagn 0000:0c:00.0: Desc                               Time       data1      data2
>   line
>Nov 20 15:08:07 myhost kernel: [73599.165175] iwlagn 0000:0c:00.0: NMI_INTERRUPT_WDG            (#04) 0560566153 0x00000002 0x070300
>00 3664
>Nov 20 15:08:07 myhost kernel: [73599.165182] iwlagn 0000:0c:00.0: pc      blink1  blink2  ilink1  ilink2  hcmd
>Nov 20 15:08:07 myhost kernel: [73599.165190] iwlagn 0000:0c:00.0: 0x006E4 0x005AA 0x006E8 0x008B2 0x0229C 0xA16001C
>Nov 20 15:08:07 myhost kernel: [73599.165197] iwlagn 0000:0c:00.0: CSR values:
>Nov 20 15:08:07 myhost kernel: [73599.165203] iwlagn 0000:0c:00.0: (2nd byte of CSR_INT_COALESCING is CSR_INT_PERIODIC_REG)
>Nov 20 15:08:07 myhost kernel: [73599.165216] iwlagn 0000:0c:00.0:        CSR_HW_IF_CONFIG_REG: 0X00480302
>Nov 20 15:08:07 myhost kernel: [73599.165228] iwlagn 0000:0c:00.0:          CSR_INT_COALESCING: 0X00000040
>Nov 20 15:08:07 myhost kernel: [73599.165239] iwlagn 0000:0c:00.0:                     CSR_INT: 0X00000000
>Nov 20 15:08:07 myhost kernel: [73599.165250] iwlagn 0000:0c:00.0:                CSR_INT_MASK: 0X00000000
>Nov 20 15:08:07 myhost kernel: [73599.165261] iwlagn 0000:0c:00.0:           CSR_FH_INT_STATUS: 0X00000000
>Nov 20 15:08:07 myhost kernel: [73599.165272] iwlagn 0000:0c:00.0:                 CSR_GPIO_IN: 0X00000000
>Nov 20 15:08:07 myhost kernel: [73599.165283] iwlagn 0000:0c:00.0:                   CSR_RESET: 0X00000000
>Nov 20 15:08:07 myhost kernel: [73599.165294] iwlagn 0000:0c:00.0:                CSR_GP_CNTRL: 0X080403c5
>Nov 20 15:08:07 myhost kernel: [73599.165305] iwlagn 0000:0c:00.0:                  CSR_HW_REV: 0X00000024
>Nov 20 15:08:07 myhost kernel: [73599.165316] iwlagn 0000:0c:00.0:              CSR_EEPROM_REG: 0X00000000
>Nov 20 15:08:07 myhost kernel: [73599.165328] iwlagn 0000:0c:00.0:               CSR_EEPROM_GP: 0X90000004
>Nov 20 15:08:07 myhost kernel: [73599.165339] iwlagn 0000:0c:00.0:              CSR_OTP_GP_REG: 0X00060000
>Nov 20 15:08:07 myhost kernel: [73599.165350] iwlagn 0000:0c:00.0:                 CSR_GIO_REG: 0X00080046
>Nov 20 15:08:07 myhost kernel: [73599.165362] iwlagn 0000:0c:00.0:            CSR_GP_UCODE_REG: 0X0000c30a
>Nov 20 15:08:07 myhost kernel: [73599.165373] iwlagn 0000:0c:00.0:           CSR_GP_DRIVER_REG: 0X00000000
>Nov 20 15:08:07 myhost kernel: [73599.165384] iwlagn 0000:0c:00.0:           CSR_UCODE_DRV_GP1: 0X00000000
>Nov 20 15:08:07 myhost kernel: [73599.165395] iwlagn 0000:0c:00.0:           CSR_UCODE_DRV_GP2: 0X00000000
>Nov 20 15:08:07 myhost kernel: [73599.165406] iwlagn 0000:0c:00.0:                 CSR_LED_REG: 0X00000058
>Nov 20 15:08:07 myhost kernel: [73599.165417] iwlagn 0000:0c:00.0:        CSR_DRAM_INT_TBL_REG: 0X880ffffe
>Nov 20 15:08:07 myhost kernel: [73599.165428] iwlagn 0000:0c:00.0:        CSR_GIO_CHICKEN_BITS: 0X27800200
>Nov 20 15:08:07 myhost kernel: [73599.165439] iwlagn 0000:0c:00.0:             CSR_ANA_PLL_CFG: 0X00880300
>Nov 20 15:08:07 myhost kernel: [73599.165450] iwlagn 0000:0c:00.0:           CSR_HW_REV_WA_REG: 0X0001001a
>Nov 20 15:08:07 myhost kernel: [73599.165462] iwlagn 0000:0c:00.0:        CSR_DBG_HPET_MEM_REG: 0Xffff0000
>Nov 20 15:08:07 myhost kernel: [73599.165470] iwlagn 0000:0c:00.0: FH register values:
>Nov 20 15:08:07 myhost kernel: [73599.165489] iwlagn 0000:0c:00.0:         FH_RSCSR_CHNL0_STTS_WPTR_REG: 0X0fff6e00
>Nov 20 15:08:07 myhost kernel: [73599.165508] iwlagn 0000:0c:00.0:        FH_RSCSR_CHNL0_RBDCB_BASE_REG: 0X00fff6f0
>Nov 20 15:08:07 myhost kernel: [73599.165528] iwlagn 0000:0c:00.0:                  FH_RSCSR_CHNL0_WPTR: 0X000000b0
>Nov 20 15:08:07 myhost kernel: [73599.165547] iwlagn 0000:0c:00.0:         FH_MEM_RCSR_CHNL0_CONFIG_REG: 0X80819104
>Nov 20 15:08:07 myhost kernel: [73599.165566] iwlagn 0000:0c:00.0:          FH_MEM_RSSR_SHARED_CTRL_REG: 0X000000fc
>Nov 20 15:08:07 myhost kernel: [73599.165586] iwlagn 0000:0c:00.0:            FH_MEM_RSSR_RX_STATUS_REG: 0X07030000
>Nov 20 15:08:07 myhost kernel: [73599.165605] iwlagn 0000:0c:00.0:    FH_MEM_RSSR_RX_ENABLE_ERR_IRQ2DRV: 0X00000000
>Nov 20 15:08:07 myhost kernel: [73599.165624] iwlagn 0000:0c:00.0:                FH_TSSR_TX_STATUS_REG: 0X07ff0001
>Nov 20 15:08:07 myhost kernel: [73599.165644] iwlagn 0000:0c:00.0:                 FH_TSSR_TX_ERROR_REG: 0X00000000
>Nov 20 15:08:07 myhost kernel: [73599.165706] iwlagn 0000:0c:00.0: Start IWL Event Log Dump: display last 20 entries
>Nov 20 15:08:07 myhost kernel: [73599.165731] iwlagn 0000:0c:00.0: EVT_LOGT:2844767003:0x00000001:1352
>Nov 20 15:08:07 myhost kernel: [73599.165748] iwlagn 0000:0c:00.0: EVT_LOGT:2844767004:0x00000002:1353
>Nov 20 15:08:07 myhost kernel: [73599.165764] iwlagn 0000:0c:00.0: EVT_LOGT:2844767020:0x01000000:0221
>Nov 20 15:08:07 myhost kernel: [73599.165780] iwlagn 0000:0c:00.0: EVT_LOGT:2844767107:0x0000010f:0106
>Nov 20 15:08:07 myhost kernel: [73599.165796] iwlagn 0000:0c:00.0: EVT_LOGT:2844767108:0x00000000:0302
>Nov 20 15:08:07 myhost kernel: [73599.165812] iwlagn 0000:0c:00.0: EVT_LOGT:2844767121:0x00002000:0350
>Nov 20 15:08:07 myhost kernel: [73599.165829] iwlagn 0000:0c:00.0: EVT_LOGT:2844767126:0x0000010f:0106
>Nov 20 15:08:07 myhost kernel: [73599.165845] iwlagn 0000:0c:00.0: EVT_LOGT:2844767127:0x00000000:0302
>Nov 20 15:08:07 myhost kernel: [73599.165812] iwlagn 0000:0c:00.0: EVT_LOGT:2844767121:0x00002000:0350
>Nov 20 15:08:07 myhost kernel: [73599.165829] iwlagn 0000:0c:00.0: EVT_LOGT:2844767126:0x0000010f:0106
>Nov 20 15:08:07 myhost kernel: [73599.165845] iwlagn 0000:0c:00.0: EVT_LOGT:2844767127:0x00000000:0302
>Nov 20 15:08:07 myhost kernel: [73599.165861] iwlagn 0000:0c:00.0: EVT_LOGT:2844767154:0x00000436:0323
>Nov 20 15:08:07 myhost kernel: [73599.165877] iwlagn 0000:0c:00.0: EVT_LOGT:2844767158:0x0000045c:0367
>Nov 20 15:08:07 myhost kernel: [73599.165893] iwlagn 0000:0c:00.0: EVT_LOGT:2844767159:0x0000037c:0353
>Nov 20 15:08:07 myhost kernel: [73599.165909] iwlagn 0000:0c:00.0: EVT_LOGT:2844767184:0x0000010f:0106
>Nov 20 15:08:07 myhost kernel: [73599.165925] iwlagn 0000:0c:00.0: EVT_LOGT:2844767186:0x00000000:0302
>Nov 20 15:08:07 myhost kernel: [73599.165941] iwlagn 0000:0c:00.0: EVT_LOGT:2844767212:0x00000436:0323
>Nov 20 15:08:07 myhost kernel: [73599.165946] iwlagn 0000:0c:00.0: EVT_LOGT:2844767234:0x00000000:1350
>Nov 20 15:08:07 myhost kernel: [73599.165946] iwlagn 0000:0c:00.0: EVT_LOGT:2844767235:0x00000000:1351
>Nov 20 15:08:07 myhost kernel: [73599.165946] iwlagn 0000:0c:00.0: EVT_LOGT:2844767235:0x00000001:1352
>Nov 20 15:08:07 myhost kernel: [73599.165946] iwlagn 0000:0c:00.0: EVT_LOGT:2844767236:0x00000002:1353
>Nov 20 15:08:07 myhost kernel: [73599.165946] iwlagn 0000:0c:00.0: EVT_LOGT:2844967176:0x000000d7:0123
>Nov 20 15:08:07 myhost kernel: [73599.165946] iwlagn 0000:0c:00.0: EVT_LOGT:2844967184:0x00000000:0125
>Nov 20 15:08:07 myhost kernel: [73599.216521] iwlagn 0000:0c:00.0: Stopping AGG while state not ON or starting
>Nov 20 15:08:07 myhost kernel: [73599.216533] iwlagn 0000:0c:00.0: queue number out of range: 0, must be 10 to 19
>Nov 20 15:10:06 myhost kernel: [73717.672511] iwlagn 0000:0c:00.0: iwlagn_tx_agg_start on ra = c0:c1:c0:XX:XX:XX tid = 0
>Nov 20 15:11:41 myhost kernel: [73812.590580] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:11:46 myhost kernel: [73817.823821] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:12:22 myhost kernel: [73854.144787] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:14:05 myhost kernel: [73957.102530] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:14:30 myhost kernel: [73982.050807] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:14:43 myhost kernel: [73994.897070] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:15:54 myhost kernel: [74065.843587] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:16:15 myhost kernel: [74086.355784] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:16:46 myhost kernel: [74118.185606] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:18:50 myhost kernel: [74241.410509] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:24:38 myhost kernel: [74590.032428] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:29:15 myhost kernel: [74866.685021] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:30:15 myhost kernel: [74926.336443] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:30:45 myhost kernel: [74956.713935] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:30:51 myhost kernel: [74962.740092] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:31:12 myhost kernel: [74983.967384] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:31:22 myhost kernel: [74993.415086] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:32:02 myhost kernel: [75033.255335] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:32:03 myhost kernel: [75034.458448] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:32:08 myhost kernel: [75039.494898] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:32:32 myhost kernel: [75064.037895] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:33:33 myhost kernel: [75125.084636] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:34:17 myhost kernel: [75168.653022] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 15:35:52 myhost kernel: [75263.805273] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>
> .
> .
> . 
>Nov 20 17:19:34 myhost kernel: [81486.137814] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 17:21:26 myhost kernel: [81597.353166] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 17:22:36 myhost kernel: [81667.854726] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 17:22:43 myhost kernel: [81674.694569] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 17:23:55 myhost kernel: [81747.115009] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 17:24:20 myhost kernel: [81771.305055] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 17:24:45 myhost kernel: [81797.003991] iwlagn 0000:0c:00.0: low ack count detected, restart firmware
>Nov 20 17:24:45 myhost kernel: [81797.004003] iwlagn 0000:0c:00.0: On demand firmware reload
>Nov 20 17:24:45 myhost kernel: [81797.055709] iwlagn 0000:0c:00.0: Stopping AGG while state not ON or starting
>Nov 20 17:24:45 myhost kernel: [81797.055722] iwlagn 0000:0c:00.0: queue number out of range: 0, must be 10 to 19
>Nov 20 17:24:45 myhost kernel: [81797.055790] iwlagn 0000:0c:00.0: Stopping AGG while state not ON or starting
>Nov 20 17:24:45 myhost kernel: [81797.055799] iwlagn 0000:0c:00.0: queue number out of range: 0, must be 10 to 19
>Nov 20 17:26:37 myhost kernel: [81908.817016] iwlagn 0000:0c:00.0: iwlagn_tx_agg_start on ra = c0:c1:c0:XX:XX:XX tid = 0
>Nov 20 17:26:47 myhost kernel: [81918.586082] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 17:28:26 myhost kernel: [82017.882800] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 17:28:31 myhost kernel: [82022.513516] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 17:28:44 myhost kernel: [82036.101331] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 17:29:48 myhost kernel: [82099.561315] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 17:31:15 myhost kernel: [82186.517328] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 17:32:17 myhost kernel: [82248.974675] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
>Nov 20 17:33:08 myhost kernel: [82300.147681] iwlagn 0000:0c:00.0: Fail finding valid aggregation tid: 6
>Nov 21 17:36:27 myhost kernel: [82498.962883] iwlagn 0000:0c:00.0: BA scd_flow 0 does not match txq_id 10
> . 
> .
> .
>~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Comment 1 Nicolas Chauvet (kwizart) 2010-11-30 04:20:13 EST
Re-assigned to the kernel.
Comment 2 Stanislaw Gruszka 2010-12-01 04:44:13 EST
There is workaround for that issue:

echo "options iwlagn 11n_disable50=1 11n_disable=1" >> /etc/modprobe.d/iwlwifi.conf

Also problem is gone in 2.6.36 kernel, but exact commit which fix that is not know so far.
Comment 3 Vinod Kutty 2010-12-02 00:02:20 EST
RE: Workaround: does this disable 802.11n speeds and drop to older speeds? If so, it's equivalent to "don't use WiFi" as a workaround, since that's the whole point of my using this chipset/laptop 8-(  (Yeah, I know it means more stability at least). I was hoping the "known uCode" issue mentioned in Intel Wireless BZ 2228 would be the start of the path to a fix.

As for the 2.6.36 magic fix, that's interesting ... I don't suppose there is a newer iwlagn driver + micro-code?
Comment 4 Stanislaw Gruszka 2010-12-02 05:19:18 EST
(In reply to comment #3)
> RE: Workaround: does this disable 802.11n speeds and drop to older speeds?
Yes.

> If
> so, it's equivalent to "don't use WiFi" as a workaround, since that's the whole
> point of my using this chipset/laptop 8-(
It does not make huge difference when watching web pages.

> As for the 2.6.36 magic fix, that's interesting ... I don't suppose there is a
> newer iwlagn driver + micro-code?
Micro-code (firmware) does not change. Each kernel release include updated driver with a new patches (usually a lot of patches, they fix some things and broke some others).
Comment 5 Pekka Pietikäinen 2011-01-12 07:38:30 EST
2.6.37 from rawhide is "better" but still fails eventually (1-2 days vs. 10 mins), with slightly different errors. I saw a patch that just disabled tx aggregation vs. 11n completely (could have been bugzilla.kernel.org) that apparently works around the issue nicely, and you still get 11n-speed downloads that way, that's not in .37 I think. Can't find it now, though.

Dupe of #648732 , mind you. Marking as dupe and adding relevant comments from here to that one.

*** This bug has been marked as a duplicate of bug 648732 ***

Note You need to log in before you can comment on or make changes to this bug.